Loading...
Searching...
No Matches
casacore::ZScoreCalculator Class Reference

This class contains static methods related to z-scores. More...

`#include <ZScoreCalculator.h>`

## Public Member Functions

| ZScoreCalculator ()=delete

## Static Public Member Functions

static Double | getMaxZScore (uInt64 npts)
| compute the maximum expected zscore given the number of points in a sample.
static uInt64 | zscoreToNpts (Double zscore)
| Get the minimum number of points in a Gaussian distribution, such that the probability that the maximum of the distribution having the specified zscore is 0.5.

## Static Private Attributes

static std::map< uInt64, Double > | _nptsToMaxZScore
static std::mutex | _mutex

## Detailed Description

This class contains static methods related to z-scores.

A z-score is the number of standard deviations from the mean in a normal distribution.

Definition at line 42 of file ZScoreCalculator.h.

## Constructor & Destructor Documentation

## ZScoreCalculator()

casacore::ZScoreCalculator::ZScoreCalculator | ( |  | ) |

delete

## Member Function Documentation

## getMaxZScore()

Double casacore::ZScoreCalculator::getMaxZScore | ( | uInt64 | npts | ) |

static

compute the maximum expected zscore given the number of points in a sample.

## zscoreToNpts()

uInt64 casacore::ZScoreCalculator::zscoreToNpts | ( | Double | zscore | ) |

inline static

Get the minimum number of points in a Gaussian distribution, such that the probability that the maximum of the distribution having the specified zscore is 0.5.

zscore should be non-negative.

Definition at line 54 of file ZScoreCalculator.h.

References casacore::sqrt().

## Member Data Documentation

## _mutex

std::mutex casacore::ZScoreCalculator::_mutex

static private

Definition at line 60 of file ZScoreCalculator.h.

## _nptsToMaxZScore

std::map<uInt64, Double> casacore::ZScoreCalculator::_nptsToMaxZScore

static private

Definition at line 59 of file ZScoreCalculator.h.

The documentation for this class was generated from the following file:

- scimath/StatsFramework/ZScoreCalculator.h